Bug 48801 - Unable to unlock screen if the password starts with e.g. $
Summary: Unable to unlock screen if the password starts with e.g. $
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kdebase   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-07-11 21:09 UTC by Need Real Name
Modified: 2007-04-18 16:34 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-20 13:05:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2001-07-11 21:09:12 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.77 (Macintosh; U; PPC)

Description of problem:
This bug has actually been around at least since 6.2. I haven't tried it 
with a lot of different passwords, but I do know for a fact that it is 
impossible to unlock the screen no matter if I was using xlock or if the 
screensaver locked the screen after a period of inactivite. It has been 
verified on at least four different installations of 6.2 and 7.1.

How reproducible:
Always

Steps to Reproduce:
1. Change the password to something beginning with a $ sign.
2. Lock the screen, either with xlock or wait for the screensaver to lock 
the screen.
3. Try forever to regain control of your screen and end up killing kdm to at 
least be able to start over again.
	

Actual Results:  Unability to unlock the screen.

Expected Results:  Unlocking of screen.

Additional info:

N/A

Comment 1 Bernhard Rosenkraenzer 2001-07-17 11:11:32 UTC
Can't reproduce this using the password $m$sux and the normal KDE screen 
locking mechanisms.
If you can find a reproducable way of producing this error, please add this 
information.


Comment 2 Need Real Name 2001-07-20 21:28:25 UTC
I have encountered the problem on five different systems (6.2 and 7.1), in all 
cases on the root account. The password in question was 8 characters long, 
beginning with a $, followed by 6 lower case chars and ending with an exclamation 
mark. Also, the problem is not present in Linux Mandrake, whatever that has got 
to do with it...


Comment 3 Ngo Than 2004-09-20 13:05:18 UTC
Please verify this with a newer version of Red Hat Enterprise Linux or
Fedora Core and reopen it against the new version if it still occurs.

Closing as "CURRENTRELEASE" for now.


Note You need to log in before you can comment on or make changes to this bug.